/**
 * Leathersquire Knight Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="knight"][data-skin="leathersquire_knight"]::before {
    box-shadow:
        -8px -8px 0 0 #743501,
        0px -8px 0 0 #743501,
        8px -8px 0 0 #743501,
        -8px 0px 0 0 #c77579,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #2d2d2d,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #c77579,
        -8px 7px 0 0 #743501,
        -4px 8px 0 0 #743501,
        0px 8px 0 0 #c77579,
        4px 8px 0 0 #743501,
        8px 7px 0 0 #743501,
        -4px 16px 0 0 #170202,
        4px 16px 0 0 #170202,
        -9px -9px 0 0 #743501,
        -9px -1px 0 0 #743501,
        9px -1px 0 0 #743501,
        9px -9px 0 0 #743501,
        1px -9px 0 0 #743501,
        -1px -9px 0 0 #743501,
        -6px -12px 0 0 #743501,
        6px -12px 0 0 #743501,
        0px -12px 0 0 #743501;
}

/* Character Selection Preview */
.char-card-preview[data-character="knight"][data-skin="leathersquire_knight"]::before {
    box-shadow:
        -8px -8px 0 0 #743501,
        0px -8px 0 0 #743501,
        8px -8px 0 0 #743501,
        -8px 0px 0 0 #c77579,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #2d2d2d,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #c77579,
        -8px 7px 0 0 #743501,
        -4px 8px 0 0 #743501,
        0px 8px 0 0 #c77579,
        4px 8px 0 0 #743501,
        8px 7px 0 0 #743501,
        -4px 16px 0 0 #170202,
        4px 16px 0 0 #170202,
        -9px -9px 0 0 #743501,
        -9px -1px 0 0 #743501,
        9px -1px 0 0 #743501,
        9px -9px 0 0 #743501,
        1px -9px 0 0 #743501,
        -1px -9px 0 0 #743501,
        -6px -12px 0 0 #743501,
        6px -12px 0 0 #743501,
        0px -12px 0 0 #743501;
}

/* Skin Selector Preview */
.skin-preview[data-character="knight"][data-skin="leathersquire_knight"]::before {
    box-shadow:
        -8px -8px 0 0 #743501,
        0px -8px 0 0 #743501,
        8px -8px 0 0 #743501,
        -8px 0px 0 0 #c77579,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #2d2d2d,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #c77579,
        -8px 7px 0 0 #743501,
        -4px 8px 0 0 #743501,
        0px 8px 0 0 #c77579,
        4px 8px 0 0 #743501,
        8px 7px 0 0 #743501,
        -4px 16px 0 0 #170202,
        4px 16px 0 0 #170202,
        -9px -9px 0 0 #743501,
        -9px -1px 0 0 #743501,
        9px -1px 0 0 #743501,
        9px -9px 0 0 #743501,
        1px -9px 0 0 #743501,
        -1px -9px 0 0 #743501,
        -6px -12px 0 0 #743501,
        6px -12px 0 0 #743501,
        0px -12px 0 0 #743501;
}
